=== debian/changelog ===
bakefile (0.2.9) unstable; urgency=low

  * added -I flag to bakefile_gen too
  * msevc4prj: fixed breakage of <debug-info> introduced in 0.2.7
  * added suncc backend
  * msvs2005prj, msvs2008prj: added support for x64 builds
  * msvs2008prj: fixed compatibility with VS 2010

 -- Vadim Zeitlin <vadim@wxwindows.org>  Feb, 03 Thu 2011 15:30:37 +0100

bakefile (0.2.8) unstable; urgency=low
  * msvc: fixed incorrect compiler flags for debug info without debug runtime

 -- Vadim Zeitlin <vadim@wxwindows.org>  Nov, 05 Thu 2009 19:46:10 +0100

bakefile (0.2.7) unstable; urgency=low

  * added getTagAttrib() helper (#97)
  * fixed shared library names and sonames on Solaris to use only one version
    number: use libfoo.so.1 for the file and the soname and libfoo.so for the
    only symlink
  * msvs2008prj: fixed MIDL compiler settings
  * autoconf, gnu: fixed pkgconfig module to respect DESTDIR (#248)
  * msvs*prj, msvc, msvc6prj: using debug info without debug runtime was fixed
    to keep all optimizations enabled (#212)

 -- Vadim Zeitlin <vadim@wxwindows.org>  Oct, 22 Thu 2009 14:49:57 +0200

bakefile (0.2.6) unstable; urgency=low

  * autoconf: fixed dependencies support for traditional Unix compilers
  * autoconf: correct shared library extension under HP-UX ia64
  * autoconf: added support for new (10 and 11) Intel C/C++ compiler versions
  * watcom: fixes for OpenWatcom 1.8 (Jiri Malak, #238)
  * fixed assert failure with wxWidgets' presets (#230)
  * msvs*prj: pass preprocessor flags to IDL compiler (#240)
  * msvs*prj: define WIN32 preprocessor symbol
  * fixed 100% CPU usage in bakefile_gen
  * added <debug-info-edit-and-continue> tag to support Visual Studio
    debugger's Edit and Continue feature
  * msvs*prj: allow overriding names of .vcproj files using MSVS_PROJECT_FILE
    variable (#224)

 -- Scott Bailey <Bailey@InsaneGenius.org>  Fri, 27 Mar 2009 09:33:32 -0700

bakefile (0.2.5) unstable; urgency=low

  * msvs2003prj, msvs2005prj: fixed PCH handling broken in 0.2.4.
  * mingw: fixed C compiler invocation broken in 0.2.4 (#231).

 -- Vadim Zeitlin <vadim@wxwindows.org>  Oct, 22 Wed 2008 17:17:22 +0200

bakefile (0.2.4) unstable; urgency=low

  * added support for Visual Studio 2008 (#186).
  * msvs200xprj: if "-o foo.vcproj" is specified on the command line, only
    generate foo.vcproj and not foo.sln (#174).
  * autoconf: fixes for non-default BUILDDIR.
  * msvs2005prj: fixed _WIN32_WCE define for PocketPC 2003 platform (#187).
  * put user- or configure-provided LDFLAGS and LIBS to the end of linker
    command line to avoid conflicts of local libraries with system-wide
    (#182).
  * xcode2: fixed <ldflags> to not delete previously specified flags (#192).
  * xcode2: fixed <cxxflags> and <cppflags> for C++ files (#194).
  * xcode2: fixed <library> handling (#199).
  * added <depends-on-file> to all formats (#190).
  * mingw, gnu: avoid "No rule to make target ..." errors in generated
    makefiles when dependency header is removed (#201).
  * msvs200xprj: don't use /RTC1 flag in release builds with debug information
    enabled (#202).
  * msvs200xprj: enable functions inlining if and only optimization is enabled
    instead of doing it unconditionally (#205).
  * xcode2: added support for <headers> (#208).
  * msvs200xprj: improvements to make generated projects more similar to
    natively created projects (#210).
  * fixes for running on Solaris (#214).
  * xcode2: fixed naming of <dll> targets (#218).
  * check for incorrect used of conditional <set> (#220).
  * added support for multiple source files with the same name (#92).
  * msvs200xprj: fixed to generate correct precompiled headers setting for
    auto vs. manual PCH creation.
  * fixed incorrect dependencies of the "install" target (#225).
  * bakefile_gen --clean removes directories created by Bakefile (#171).
  * fixed <subproject>'s <target> tag to work with all formats (#226).

 -- Vadim Zeitlin <vadim@wxwindows.org>  Oct, 07 Tue 2008 10:49:39 +0200

bakefile (0.2.3) unstable; urgency=low

  * removed support for C++ Builder X, it no longer exists and the format
    wasn't used by anyone in practice
  * significantly improved Xcode format (Kevin Ollivier)
  * fixed running bakefile_gen if the name of temporary directory contains
    spaces
  * msvc6prj: use /pdb linker option to make the projects work when imported
    in MSVC7.1 (Scott Bailey, patch #1732354)
  * msvs2005prj: added support for Pocket PC platform
  * added support for MSVS2003 project files (based on patch by Aleksander
    Jaromin)
  * Bakefile now generates files with output format's platform's default line
    endings; added --eol option to override this (based on patch by Francesco
    Montorsi)
  * added envvar() convenience function for referencing environment variables
  * added --wrap-output command line option for tweaking line-wrapping
    behavior (based on patch by Francesco Montorsi)
  * bakefile_gen uses all available CPUs by default now; use explicit -j1 flag
    to get the old behavior
  * autoconf: fixed shared libraries sonames on NetBSD and OpenBSD
  * added limited support for conditional variables dependent on other
    conditional variables based by Francesco Montorsi (previously, only
    dependency on options was possible)
  * added "debug" level to the <echo> command
  * deprecated <echo level="warning"> in favor of new <warning> command
  * added XML Schema for FORMATS.bkmanifest and Bakefiles.bkgen files
  * autoconf: check if install -d works (patch by Warren Young)
  * dmars: always use -HP99 switch; made the value configurable (#160)
  * autoconf: fixed warning about datarootdir variable with autoconf-2.61+
  * fixed <lib-path> to generated correct output when passed empty string as
    argument (#170; based on patch by Scott Bailey)
  * msvs2005prj: fixed handling of include and library paths with spaces
  * msvc6prj: fixed to not use minimal rebuild with optimization (#42)

