=== debian/control ===
Source: bakefile
Section: devel
Priority: optional
Maintainer: Vadim Zeitlin <vadim@wxwindows.org>
Build-Depends: debhelper (>= 4.1.67), autoconf, automake|automake1.7|automake1.8|automake1.9,
 python2.3|python2.4|python2.5, python2.3-dev|python2.4-dev|python2.5-dev,
 docbook-xml, docbook-xsl, libxml2-utils, xsltproc, swig
Standards-Version: 3.6.1

Package: bakefile
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}
Recommends: ${python:Depends}-libxml2
Description: cross-platform, cross-compiler native makefiles generator
 Bakefile is a cross-platform, cross-compiler native makefiles generator. It
 takes compiler-independent description of build tasks as input and generates
 native makefile (autoconf's Makefile.in, Visual C++ project, Borland, Watcom
 and other compilers makefiles etc.).
